@import "@/styles/colors";
@import "@/styles/mixins/typography";
@import "@/styles/mixins/breakpoints";

.modal {
	&_backdrop {
		position: fixed;
		top: 0;
		width: 100vw;
		height: 100vh;
		background-color: $color-custom-level-3-background-modals-dropdowns-background;
		opacity: 0.7;
	}

	&_wrapper {
		position: fixed;
		top: 0;
		width: 100vw;
		height: 100vh;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	&_container {
		-webkit-border-radius: 12px;
		-moz-border-radius: 12px;
		border-radius: 12px;
		background-color: $color-custom-level-3-background-modals-dropdowns-background;
		display: flex;
		flex-direction: column;
		width: calc(100vw - 32px);

		@include breakpoint-sm() {
			width: calc(640px - 32px);
		}
	}

	&_header {
		padding: 16px 24px;
		border-bottom: 1px solid $color-modal-border;

		&_title {
			@include typography("lg-semibold");
		}

		&_close {
			display: flex;
			align-items: center;
			justify-content: center;
			width: 36px;
			height: 36px;
		}
	}

	&_content {
		padding: 24px;
	}

	&_footer {
		padding: 12px 24px;
		background-color: #292E47;
		display: flex;
		justify-content: flex-end;
		column-gap: 12px;
		align-items: center;
		-webkit-border-radius: 0 0 12px 12px;
		-moz-border-radius:  0 0 12px 12px;
		border-radius:  0 0 12px 12px;
	}
}